// UDPIO.h

#ifndef _UDPIO_h
#define _UDPIO_h


#include "Arduino.h"
#include <UrsUdpSerial.h>
#include "Globals.h""
#include "EventType.h"

class UDPIOClass : protected UrsUdpSerial {
public:
  UDPIOClass() : UrsUdpSerial(64) {}
  uint8_t begin(const IPAddress remoteIP, const uint16_t remotePort, const uint16_t subscriberPort);
  void handle();
  void raiseEvent(EventType event);
};

extern UDPIOClass UDPIO;

#endif

